#!/bin/sh

# $Id: udhcpd.conf.sh,v 1.1.1.1 2003/10/18 14:22:56 thomasez Exp $

. /etc/config
. /etc/inside.info

if [ ${DOMAIN} = "" ] && [ ${OUTSIDE_IP} = DHCP ];
 then
  export `sed -e "s/domain /DOMAIN=/" -e "/^[^D].*/d" /etc/resolv.conf`
 fi

cat >> /etc/udhcpd.conf <<EOF
interface       ${INSIDE_DEVICE}
start           ${DHCP_RANGE_START}
end             ${DHCP_RANGE_END}
max_leases	103
lease_file      /var/state/udhcpd.leases
pidfile         /var/run/udhcpd.pid
option          dns             ${INSIDE_IP}
option          subnet          ${INSIDE_NETMASK}
option          broadcast       ${INSIDE_BROADCAST}
option          router          ${INSIDE_IP}
option          domain          ${DOMAIN}
option          lease           864000                                   
EOF

# Currently supported options, for more info, see options.c
#subnet
#timezone
#router
#timesvr
#namesvr
#logsvr
#cookiesvr
#lprsvr
#bootsize
#domain
#swapsvr
#rootpath
#ipttl
#mtu
#broadcast
#wins
#lease
#ntpsrv
#tftp
#bootfile

